Bug 94208 - Undo after Control-D Fill doesn't broadcast deleted (undo-inserted) cells for calculation
Summary: Undo after Control-D Fill doesn't broadcast deleted (undo-inserted) cells for...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: high major
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.0 target:5.1.0.2 target:5...
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2015-09-14 11:22 UTC by B.J. Herbison
Modified: 2018-05-06 08:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet to demonstrate the issue (8.40 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-09-14 11:22 UTC, B.J. Herbison
Details

Note You need to log in before you can comment on or make changes to this bug.
Description B.J. Herbison 2015-09-14 11:22:16 UTC
Created attachment 118697 [details]
Spreadsheet to demonstrate the issue

Steps to reproduce:
1) Open the attached spreadsheet.
2) Select rows three though eight.
3) Start a search but accidentally type Control-D instead of Control-F.
4) Oh noes! You messed up the data. Press Control-Z to undo.
5) Ouch! The data isn't right. Press Control-Shift-F9 to fix.

Expected result:
3) I learn to type better some day.
4) The previous operation should be fully .

Actual result:
4) The value of cell A1 is zero after the undo.
5) The value of cell A1 is correct.

I've seen the issue with  larger sheets, but this small example was typed by hand in LibreOffice 5. Seen on Windows and Ubuntu on Version 4.4 as well as Version 5.
Comment 1 raal 2015-09-14 14:10:03 UTC
I can confirm with Version: 5.1.0.0.alpha1+
Build ID: dd0ceb50c2d95ac0587db2c983ac58f2e3b13028
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-09_04:41:21

Works correct with LibreOffice 3.5.0 Build ID: d6cde02 -> regression
Comment 2 raal 2015-09-24 08:35:28 UTC
(In reply to B.J. Herbison from comment #0)
> 
> I've seen the issue with  larger sheets, but this small example was typed by
> hand in LibreOffice 5. Seen on Windows and Ubuntu on Version 4.4 as well as
> Version 5.

Please set the version - version is earliest affected (4.4.x?), thank you
Comment 3 B.J. Herbison 2015-09-24 09:50:56 UTC
I don't know the earliest affected, but I know the problem existed in 4.4.2.2.
Comment 4 raal 2015-10-18 20:05:30 UTC
Reproducible with Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 5 raal 2015-12-12 14:27:15 UTC
reproducible Version: 4.2.0.0.alpha1+
Comment 6 Joel Madero 2015-12-14 04:30:00 UTC
83a62c1c1e8e259144e489d9a1f42611eba063c3 is the first bad commit
commit 83a62c1c1e8e259144e489d9a1f42611eba063c3
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 14:30:14 2013 +0000

    source-hash-022c54742e7997bf46a608f1ab0b500f2537f7f5
    
    commit 022c54742e7997bf46a608f1ab0b500f2537f7f5
    Author:     Tor Lillqvist <tml@iki.fi>
    AuthorDate: Tue Jun 25 07:19:41 2013 +0300
    Commit:     Tor Lillqvist <tml@iki.fi>
    CommitDate: Tue Jun 25 07:19:41 2013 +0300
    
        WaE: private field 'mrCells' is not used
    
        Change-Id: I0ab3fabb82c839f5194b0e20eb834dd86635a609

:100644 100644 4b10c5c8ddbedca0971e0839a8acc603792a447c 483b58760a06de929b32eafde25a67466c622502 M	ccache.log
:100644 100644 54c63dd94c275598f317bb54ddfdd27aaad5d8a1 fcfaf4eddaf5f8c7a66f90a052cbf2c7473cdc9b M	commitmsg
:100644 100644 e607019f9ceabe4513be6de63f5724c67ece57f9 3e023e83e964fd4b90d7bdf45eab489c7382956c M	dev-install.log
:100644 100644 2d16d57e331ca5fab2ec46ad12fe030528c544bb 47ead046b9af75e2384d8d8f51767edfa54d5dc8 M	make.log
:040000 040000 3aaab4081e7400904dc31731c74182db7e18493c 82a20807f2d069e8294cfa6e30778214a869a341 M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect skip c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [9771d0c212cfa71b07742ff3dc5c05df22d600eb] source-hash-a9a0933ec67eab0ec31c8fadb60fb8e8e3e90485
git bisect bad 9771d0c212cfa71b07742ff3dc5c05df22d600eb
# bad: [a01d436b1ebb5cb163e7216a1e232000f4f0a87a] source-hash-9499df9f8c73ac6370c389683ce2028e6432441e
git bisect bad a01d436b1ebb5cb163e7216a1e232000f4f0a87a
# bad: [55ecbc9a293276f2506a41e364da2331b22535ab] source-hash-b1f7dd66b898b03cb4bd8d434b6370310ea95946
git bisect bad 55ecbc9a293276f2506a41e364da2331b22535ab
# good: [502c05c771cd993b237febc2d8a20140fe589488] source-hash-462df4920ef50032c8f99a9db2ca34c9cc928657
git bisect good 502c05c771cd993b237febc2d8a20140fe589488
# bad: [9daa289e178460daaafa4b3911031df5b8736218] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f
git bisect bad 9daa289e178460daaafa4b3911031df5b8736218
# bad: [567bfa79fb5ad4f9dfa05f0dea7666208d6129b2] source-hash-4d5fc661d37d03129b8054e494c03bed1933231d
git bisect bad 567bfa79fb5ad4f9dfa05f0dea7666208d6129b2
# good: [7d878017eaa2fc1d2eab72689a5e453622d474a2] source-hash-b139f6fedfcf3cbed0eadeb007e2155b576413d2
git bisect good 7d878017eaa2fc1d2eab72689a5e453622d474a2
# bad: [83a62c1c1e8e259144e489d9a1f42611eba063c3] source-hash-022c54742e7997bf46a608f1ab0b500f2537f7f5
git bisect bad 83a62c1c1e8e259144e489d9a1f42611eba063c3
# first bad commit: [83a62c1c1e8e259144e489d9a1f42611eba063c3] source-hash-022c54742e7997bf46a608f1ab0b500f2537f7f5
Comment 7 Commit Notification 2016-01-07 11:15:40 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ece5cc21aa7814be79016e0d285981c6ced4d9ee

Resolves: tdf#94208 broadcast fill undo (for deleted cells)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Eike Rathke 2016-01-07 11:43:38 UTC
Pending review
https://gerrit.libreoffice.org/21206 for 5-1
https://gerrit.libreoffice.org/21207 for 5-0
Comment 9 Commit Notification 2016-01-07 15:02:12 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6384fc20aafa649604ae6e4ddb2f7a84b5471f81&h=libreoffice-5-1

Resolves: tdf#94208 broadcast fill undo (for deleted cells)

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-01-07 15:04:11 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=81dad223dbfac9352bbfd9333d1ba101d245a15a&h=libreoffice-5-0

Resolves: tdf#94208 broadcast fill undo (for deleted cells)

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-05-06 08:46:09 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14f98f26bb8153078f0f1eb2604d53a37a219a9d

uitest for bug tdf#94208

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.